#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    int brojTakmicara, brojPrijateljstva, zbirSrece = 0, temp1, temp2;

    cin >> brojTakmicara >> brojPrijateljstva;

    vector<int> lista(brojTakmicara);
    for(int i = 0; i < brojTakmicara; i++) cin >> lista[i];

    for(int i = 0; i < brojPrijateljstva; i++){
        cin >> temp1 >> temp2;
        if(lista[temp1 - 1] >= 0 && lista[temp2 - 1] >= 0) zbirSrece += lista[temp1] + lista[temp2];
        else if(lista[temp1 - 1] < 0 && lista[temp2 - 1] < 0) zbirSrece -= lista[temp1] + lista[temp2];
        else if(lista[temp1 - 1] < 0){
            if(abs(lista[temp1]) > abs(lista[temp2])) zbirSrece -= lista[temp1] + lista[temp2];
            else zbirSrece += lista[temp1] + lista[temp2];
        }
        else{
            if(abs(lista[temp1]) < abs(lista[temp2])) zbirSrece -= lista[temp1] + lista[temp2];
            else zbirSrece += lista[temp1] + lista[temp2];
        }
    }

    cout << zbirSrece << endl;
    return 0;
}